#
# spec file for package kwintv (Version 0.8.9)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake gettext gpp kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libpng libtiff libz lirc mesa mesa-devel mesasoft qt qt-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libpng libtiff libtool libz lirc m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         kwintv
Copyright:    GPL
Group:        X11/KDE/Applications
Summary:      Watch TV in the KDE
Version:      0.8.9
Release:      95
Source0:      kwintv-%{version}.tar.bz2
Patch0:       kwintv-%{version}.dif

%description
kwintv allows you to watch TV in a window on your PC screen. It has
more or less the same abilities as xtvscreen which is included in the
bttv-driver package, but it is based on Qt, a C++ GUI application
framework by Troll Tech

Authors:
--------
    Maintained by: 
    staikos@kde.org <George Staikos> 
     
    original author: 
    Moritz Wenk <wenk@swyx.com>

SuSE series: k2de

%prep
%setup
%patch -p 0 -E

%build
%{?suse_update_config:%{suse_update_config -f . }}
export QTDIR=/usr/lib/qt2
%ifarch alpha
RPM_OPT_FLAGS="-mieee -O0"
%endif
make -f Makefile.cvs
CXXFLAGS="$CXXFLAGS -DNDEBUG $RPM_OPT_FLAGS " ./configure $QT_PATH \
  --prefix=/opt/kde2 \
  --with-qt-dir=$QTDIR \
  --with-qt-includes=$QTDIR/include \
  --with-qt-libraries=$QTDIR/lib \
  --with-kde-version=2 --enable-lirc
make

%install
[ ${RPM_BUILD_ROOT} != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=$RPM_BUILD_ROOT install-strip
chown root.video ${RPM_BUILD_ROOT}/opt/kde2/bin/kwintv
chown root.video ${RPM_BUILD_ROOT}/opt/kde2/bin/kv4lsetup
#chmod g+s        ${RPM_BUILD_ROOT}/opt/kde2/bin/kwintv
chmod u+s        ${RPM_BUILD_ROOT}/opt/kde2/bin/kv4lsetup

%clean
#[ ${RPM_BUILD_ROOT} != "/" ] && rm -rf ${RPM_BUILD_ROOT}
# BuildRoot is not working properly with kwintv.

%files
%doc COPYING  INSTALL 
%dir /opt/kde2/share/apps/kwintv
%dir /opt/kde2/share/apps/kwintv/pics
%dir /opt/kde2/share/apps/kwintv/toolbar
%dir /opt/kde2/share/icons/hicolor/22x22/apps
%dir /opt/kde2/share/icons/hicolor/24x24
%dir /opt/kde2/share/icons/hicolor/24x24/apps
%dir /opt/kde2/share/icons/hicolor/48x48/apps
%dir /usr/X11R6/lib/X11/fonts/kwintv
/opt/kde2/bin/kv4lsetup
/opt/kde2/bin/kwintv
/opt/kde2/share/applnk/Multimedia/kv4lsetup.desktop
/opt/kde2/share/applnk/Multimedia/kwintv.desktop
/opt/kde2/share/apps/kwintv/pics/kwintv.png
/opt/kde2/share/apps/kwintv/pics/kwintv_16x16.png
/opt/kde2/share/apps/kwintv/pics/kwintv_24x24.png
/opt/kde2/share/apps/kwintv/pics/kwintv_swizard.png
/opt/kde2/share/apps/kwintv/toolbar/kwintv_down.png
/opt/kde2/share/apps/kwintv/toolbar/kwintv_edit.png
/opt/kde2/share/apps/kwintv/toolbar/kwintv_exit.png
/opt/kde2/share/apps/kwintv/toolbar/kwintv_logo.png
/opt/kde2/share/apps/kwintv/toolbar/kwintv_mute.png
/opt/kde2/share/apps/kwintv/toolbar/kwintv_mute_off.png
/opt/kde2/share/apps/kwintv/toolbar/kwintv_paste.png
/opt/kde2/share/apps/kwintv/toolbar/kwintv_title.png
/opt/kde2/share/apps/kwintv/toolbar/kwintv_up.png
/opt/kde2/share/apps/kwintv/toolbar/kwintv_viewmag.png
/opt/kde2/share/apps/kwintv/toolbar/mix_audio.png
/opt/kde2/share/apps/kwintv/toolbar/mix_bass.png
/opt/kde2/share/apps/kwintv/toolbar/mix_cd.png
/opt/kde2/share/apps/kwintv/toolbar/mix_ext.png
/opt/kde2/share/apps/kwintv/toolbar/mix_microphone.png
/opt/kde2/share/apps/kwintv/toolbar/mix_midi.png
/opt/kde2/share/apps/kwintv/toolbar/mix_recmon.png
/opt/kde2/share/apps/kwintv/toolbar/mix_treble.png
/opt/kde2/share/apps/kwintv/toolbar/mix_unknown.png
/opt/kde2/share/apps/kwintv/toolbar/mix_volume.png
/opt/kde2/share/icons/hicolor/16x16/apps/kwintv.png
/opt/kde2/share/icons/hicolor/22x22/actions/ktv_capture.png
/opt/kde2/share/icons/hicolor/22x22/actions/ktv_cs.png
/opt/kde2/share/icons/hicolor/22x22/actions/ktv_muteon.png
/opt/kde2/share/icons/hicolor/22x22/actions/ktv_snapshot.png
/opt/kde2/share/icons/hicolor/22x22/actions/ktv_transform.png
/opt/kde2/share/icons/hicolor/22x22/actions/ktv_voldown.png
/opt/kde2/share/icons/hicolor/22x22/actions/ktv_volup.png
/opt/kde2/share/icons/hicolor/22x22/apps/kwintv.png
/opt/kde2/share/icons/hicolor/48x48/apps/kwintv.png
/usr/X11R6/lib/X11/fonts/kwintv/fonts.dir
/usr/X11R6/lib/X11/fonts/kwintv/led-fixed.pcf.gz

%changelog -n kwintv
* Wed Aug 22 2001 - uli@suse.de
- update -> 0.8.9:
  * New toolbar icons from Oliver Gantz <Oliver.Gantz@epost.de>
  * Fixed many little bugs regarding audio and/or capture not being reactivated
  after a desktop change or a minimize
  * Compile time detection of /dev/video || /dev/video0 || /dev/video/video[0]
  * Added "Fullscreen" to the dock menu
  * Added "Channels..." to the dock menu
  * Added the DCOP interface and several methods.  More to come.
* Sat Aug 18 2001 - adrian@suse.de
- update to 0.8.8
* Thu Aug 16 2001 - uli@suse.de
- update -> 0.8.7 (back to KDE2 build)
* Tue Aug 14 2001 - ro@suse.de
- fixes for autoconf 2.52
* Wed Jun 27 2001 - uli@suse.de
- removed empty German docs
* Fri Jun 15 2001 - adrian@suse.de
- go back to 0.8.0 (KDE 1)
  0.8.5 is crashing on several systems
* Tue May 08 2001 - uli@suse.de
- replaced numerical WFlags from Qt 1 with symbolic ones
  (fixes a segfault when clicking Program->Edit)
* Mon Apr 23 2001 - uli@suse.de
- fixed passing of channellist from scan wizard (bug #7104)
- removed unnecessary SGID bit (bug #7103)
* Tue Apr 17 2001 - uli@suse.de
- small 64 bit fixes
* Thu Apr 05 2001 - uli@suse.de
- enabled lirc support
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Thu Mar 01 2001 - ro@suse.de
- added include stdlib in parsecl
* Tue Jan 23 2001 - stepan@suse.de
- alpha gcc 2.95.x fixes
* Fri Jan 12 2001 - uli@suse.de
- workaround for toolbar flickering (bug #5614)
* Thu Jan 11 2001 - uli@suse.de
- added Korean patch by super@susekorea.net
* Tue Dec 12 2000 - uli@suse.de
- update -> 0.8.5
- now built against KDE2
* Thu Sep 21 2000 - adrian@suse.de
- New version 0.8.0
* Thu Sep 14 2000 - ro@suse.de
- never include jpeg before Xmd ...
* Fri Jul 14 2000 - adrian@suse.de
- compile with XFree 3 enivroment
  set kv4lsetup to set uid root
  set kwintv to set group id video
* Mon Jun 05 2000 - adrian@suse.de
- compile fix for XFree 4
* Sun May 28 2000 - adrian@suse.de
- Added group tag, suse_update_config and new file list
* Sun May 28 2000 - @suse.de
- Spec file created from kwintv-0.7.5.tar.gz by autospec
* Thu Mar 30 2000 - adrian@suse.de
- delete the kbase from neededforbuild
* Mon Mar 06 2000 - adrian@suse.de
- New version 0.7.5
* Thu Jan 27 2000 - ro@suse.de
- added missing include
* Tue Oct 26 1999 - uli@suse.de
- Spec file created from kwintv-0.7.4.tar.gz by autospec
* Tue Oct 26 1999 - uli@suse.de
- New version 0.7.4
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline: line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri May 07 1999 - uli@suse.de
- fixed #include order for AXP
* Mon Apr 26 1999 - kettner@suse.de
- New version 0.7.1
* Thu Apr 01 1999 - uli@suse.de
- update -> 0.6.16
* Thu Apr 01 1999 - uli@suse.de
- new package, version 0.6.14
